﻿
function AxGetGlobalVar() {
    var jsonVal = "";
    $.ajax({
        url: 'axinterface.aspx/GetGlobalVar',
        type: 'POST',
        cache: false,
        async: false,
        dataType: 'json',
        contentType: "application/json",
        success: function (data) {
            if (data.d != "") {
                jsonVal = JSON.parse(data.d);
            }
            else {
                jsonVal = "";
            }
        },
        error: function (error) {
            jsonVa = error;
        }
    });
    return jsonVal;
}

function AxSubmitData(transId) {
    var jsonVal = "";
    $.ajax({
        url: 'axinterface.aspx/TstructSaveData',
        type: 'POST',
        cache: false,
        async: false,
        data: JSON.stringify({
            TransId: transId
        }),
        dataType: 'json',
        contentType: "application/json",
        success: function (data) {
            jsonVal = data.d;
        },
        error: function (error) {
            jsonVa = error;
        }
    });
    return jsonVal;
}

function AxLoadDataJSON(transId, recordId) {
    var jsonVal = "";
    $.ajax({
        url: 'axinterface.aspx/LoadDataJSON',
        type: 'POST',
        cache: false,
        async: false,
        data: JSON.stringify({
            TransId: transId, RecordId: recordId
        }),
        dataType: 'json',
        contentType: "application/json",
        success: function (data) {
            jsonVal = data.d;
        },
        error: function (error) {
            jsonVa = error;
        }
    });
    return jsonVal;
}

function AxGetIViewParams(iviewName) {
    var jsonVal = "";
    $.ajax({
        url: 'axinterface.aspx/GetIViewParams',
        type: 'POST',
        cache: false,
        async: false,
        data: JSON.stringify({
            IviewName: iviewName
        }),
        dataType: 'json',
        contentType: "application/json",
        success: function (data) {
            jsonVal = data.d;
        },
        error: function (error) {
            jsonVa = error;
        }
    });
    return jsonVal;
}

function AxGetIView(iviewName) {
    var jsonVal = "";
    $.ajax({
        url: 'axinterface.aspx/GetIViewData',
        type: 'POST',
        cache: false,
        async: false,
        data: JSON.stringify({
            ivName: iviewName
        }),
        dataType: 'json',
        contentType: "application/json",
        success: function (data) {
            jsonVal = data.d;
        },
        error: function (error) {
            jsonVa = error;
        }
    });
    return jsonVal;
}

function AxGetWidgetData(widgetId) {
    var jsonVal = "";
    $.ajax({
        url: 'axinterface.aspx/GetWidgetData',
        type: 'POST',
        cache: false,
        async: false,
        data: JSON.stringify({
            widgetId: widgetId
        }),
        dataType: 'json',
        contentType: "application/json",
        success: function (data) {
            jsonVal = data.d;
        },
        error: function (error) {
            jsonVa = error;
        }
    });
    return jsonVal;
}

function AxGetSqlData(sqlName, sqlParams) {
    var lstsqlParams = typeof sqlParams != "undefined" ? sqlParams : [];
    var jsonVal = "";
    $.ajax({
        url: 'axinterface.aspx/GetSqlData',
        type: 'POST',
        cache: false,
        async: false,
        data: JSON.stringify({
            SqlName: sqlName, SqlParams: lstsqlParams
        }),
        dataType: 'json',
        contentType: "application/json",
        success: function (data) {
            jsonVal = data.d;
        },
        error: function (error) {
            jsonVa = error;
        }
    });
    return jsonVal;
}

function AxFormLoadData(transId, searchVars) {
    var jsonVal = "";
    $.ajax({
        url: 'axinterface.aspx/FormLoadData',
        type: 'POST',
        cache: false,
        async: false,
        data: JSON.stringify({
            TransId: transId, SearchVars: searchVars
        }),
        dataType: 'json',
        contentType: "application/json",
        success: function (data) {
            jsonVal = data.d;
        },
        error: function (error) {
            jsonVa = error;
        }
    });
    return jsonVal;
}

function AxGetValue(transId, fieldName, dcNo, rowNo) {
    var jsonVal = "";
    $.ajax({
        url: 'axinterface.aspx/GetValue',
        type: 'POST',
        cache: false,
        async: false,
        data: JSON.stringify({
            TransId: transId, FieldName: fieldName, DcNo: dcNo, RowNo: rowNo
        }),
        dataType: 'json',
        contentType: "application/json",
        success: function (data) {
            jsonVal = data.d;
        },
        error: function (error) {
            jsonVa = error;
        }
    });
    return jsonVal;
}

function AxGetRowCount(transId, dcNo) {
    var jsonVal = "";
    $.ajax({
        url: 'axinterface.aspx/GetRowCount',
        type: 'POST',
        cache: false,
        async: false,
        data: JSON.stringify({
            TransId: transId, DcNo: dcNo
        }),
        dataType: 'json',
        contentType: "application/json",
        success: function (data) {
            jsonVal = data.d;
        },
        error: function (error) {
            jsonVa = error;
        }
    });
    return jsonVal;
}

function AxGetRowData(transId, dcNo, rowNo) {
    var jsonVal = "";
    $.ajax({
        url: 'axinterface.aspx/GetRowData',
        type: 'POST',
        cache: false,
        async: false,
        data: JSON.stringify({
            TransId: transId, DcNo: dcNo, RowNo: rowNo
        }),
        dataType: 'json',
        contentType: "application/json",
        success: function (data) {
            jsonVal = data.d;
        },
        error: function (error) {
            jsonVa = error;
        }
    });
    return jsonVal;
}

function AxSetValue(transId, fieldName, dcNo, rowNo, value) {
    var jsonVal = "";
    $.ajax({
        url: 'axinterface.aspx/SetValue',
        type: 'POST',
        cache: false,
        async: false,
        data: JSON.stringify({
            TransId: transId, FieldName: fieldName, DcNo: dcNo, RowNo: rowNo, Value: value
        }),
        dataType: 'json',
        contentType: "application/json",
        success: function (data) {
            jsonVal = data.d;
        },
        error: function (error) {
            jsonVa = error;
        }
    });
    return jsonVal;
}

function AxClearData(transId) {
    var jsonVal = "";
    $.ajax({
        url: 'axinterface.aspx/ClearData',
        type: 'POST',
        cache: false,
        async: false,
        data: JSON.stringify({
            TransId: transId
        }),
        dataType: 'json',
        contentType: "application/json",
        success: function (data) {
            jsonVal = data.d;
        },
        error: function (error) {
            jsonVa = error;
        }
    });
    return jsonVal;
}

function AxLoadData(transId, recordId) {
    var jsonVal = "";
    $.ajax({
        url: 'axinterface.aspx/LoadData',
        type: 'POST',
        cache: false,
        async: false,
        data: JSON.stringify({
            TransId: transId, RecordId: recordId
        }),
        dataType: 'json',
        contentType: "application/json",
        success: function (data) {
            jsonVal = data.d;
        },
        error: function (error) {
            jsonVa = error;
        }
    });
    return jsonVal;
}

function AxSetParamValue(iViewName, paramName, paramValue) {
    var jsonVal = "";
    $.ajax({
        url: 'axinterface.aspx/SetParamValue',
        type: 'POST',
        cache: false,
        async: false,
        data: JSON.stringify({
            IViewName: iViewName, ParamName: paramName, ParamValue: paramValue
        }),
        dataType: 'json',
        contentType: "application/json",
        success: function (data) {
            jsonVal = data.d;
        },
        error: function (error) {
            jsonVa = error;
        }
    });
    return jsonVal;
}
